io.undertow.server

## Class RenegotiationRequiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - io.undertow.server.RenegotiationRequiredException

All Implemented Interfaces:
  Serializable

    public class RenegotiationRequiredException
    extends Exception

Exception that is thrown that indicates that SSL renegotiation is required in order to get a client cert. This will be thrown if a user attempts to retrieve a client cert and the SSL mode is `SslClientAuthMode.NOT_REQUESTED`.

Author:
  Stuart Douglas
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RenegotiationRequiredException()`
`RenegotiationRequiredException(String message)`
`RenegotiationRequiredException(String message, Throwable cause)`
`RenegotiationRequiredException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
`RenegotiationRequiredException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RenegotiationRequiredException

    public RenegotiationRequiredException()

#### RenegotiationRequiredException

    public RenegotiationRequiredException(String message)

#### RenegotiationRequiredException

    public RenegotiationRequiredException(String message,
                                          Throwable cause)

#### RenegotiationRequiredException

    public RenegotiationRequiredException(Throwable cause)

#### RenegotiationRequiredException

    public RenegotiationRequiredException(String message,
                                          Throwable cause,
                                          boolean enableSuppression,
                                          boolean writableStackTrace)